Debian Bug report logs - #460084
please add armel to architecture list

version graph

Package: jack-audio-connection-kit; Maintainer for jack-audio-connection-kit is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Thu, 10 Jan 2008 13:33:01 UTC

Severity: wishlist

Found in version 0.103.0-6

Fixed in version jack-audio-connection-kit/0.116.2+svn3592-1

Done: Adrian Knoth <adi@drcomp.erfurt.thur.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#460084; Package jack-audio-connection-kit. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: please add armel to architecture list
Date: Thu, 10 Jan 2008 13:30:58 +0000
Package: jack-audio-connection-kit
Version: 0.103.0-6
Severity: wishlist
User: debian-arm@lists.debian.org
Usertags: eabi

Please add "armel" to the architecture lists in the control file so it
is included in the new ARM port
http://wiki.debian.org/ArmEabiPort

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#460084; Package jack-audio-connection-kit. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 460084@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 460084@bugs.debian.org
Subject: please add armeb too
Date: Tue, 29 Jan 2008 13:51:50 +0000
While you're at it, you may as well add "armeb" for that forthcoming port




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Sun, 15 Mar 2009 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to adi@drcomp.erfurt.thur.de (Adrian Knoth):
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 15 Mar 2009 14:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 460084@bugs.debian.org (full text, mbox):

From: adi@drcomp.erfurt.thur.de (Adrian Knoth)
To: 460084@bugs.debian.org
Subject: jackd working on armel/armeb?
Date: Sun, 15 Mar 2009 14:58:55 +0100
Hi!

Do you know whether your ARM cpu supports atomic compare-and-swap (CAS)?

If you can compile the following program, then the answer is "yes":

#include <inttypes.h>

int main(void) {
    return __sync_bool_compare_and_swap ((uint32_t *) 0, 1, 2);
}


(note that you cannot run this program, it's only important to see if it
compiles).

How it looks like when it's failing:

adi@fire:/tmp$ gcc test.c 
/tmp/ccKk6ynt.o: In function `main':
test.c:(.text+0x10): undefined reference to `__sync_bool_compare_and_swap_4'
collect2: ld returned 1 exit status

Working case:

adi@fire:/tmp$ gcc -mcpu=v9 test.c 
adi@fire:/tmp$ echo $?
0


You'd need at least ggc-4.1 for this test. Please apply the right
mcpu/march settings for the lowest supported CPU version. (the example
above uses Sparc v8/v9, the v8 CPUs lacking atomic CAS)

If your target has atomic CAS, I can come up with an upstream patch for
jackd (see config/cpu/, there's currently no arm at all, thus only using
the generic non-atomic fallback). Can you also provide the automatic
compiler defines for your targets? (like __powerpc__ or __i386__)?

Have you tried compiling jackd from source on your targets? Just to make
sure it's possible at all...


Cheerio

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Tue, 17 Mar 2009 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 17 Mar 2009 15:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 460084@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: 460084@bugs.debian.org
Cc: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Subject: Re: New info in #460084
Date: Tue, 17 Mar 2009 15:18:05 +0000
Thanks. No, on Debian armel:

martin@n2100:~$ cc c.c
/tmp/cc3HLk7a.o: In function `main':
c.c:(.text+0x18): undefined reference to `__sync_bool_compare_and_swap_4'
collect2: ld returned 1 exit status
martin@n2100:~$ gcc --version
gcc (Debian 4.3.2-1.1) 4.3.2

In Debian, the arch setting is automatically armv4t, and using a
higher -march setting doesn't seem to help (but I guess that's a
libgcc issue)

I just tried building the lenny package and it does build OK on armel.

    M




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Wed, 18 Mar 2009 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to adi@drcomp.erfurt.thur.de (Adrian Knoth):
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 18 Mar 2009 10:57:02 GMT) Full text and rfc822 format available.

Message #25 received at 460084@bugs.debian.org (full text, mbox):

From: adi@drcomp.erfurt.thur.de (Adrian Knoth)
To: Martin Guy <martinwguy@yahoo.it>
Cc: 460084@bugs.debian.org
Subject: Re: New info in #460084
Date: Wed, 18 Mar 2009 11:54:46 +0100
On Tue, Mar 17, 2009 at 03:18:05PM +0000, Martin Guy wrote:

Hi!

> I just tried building the lenny package and it does build OK on armel.

By the way: jackd's architecture list is "any", and I see packages for
armel in both, lenny and sid.

Am I missing the point or what do you want us to change?

Cheerio

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Wed, 18 Mar 2009 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 18 Mar 2009 12:18:02 GMT) Full text and rfc822 format available.

Message #30 received at 460084@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Cc: 460084@bugs.debian.org
Subject: Re: New info in #460084
Date: Wed, 18 Mar 2009 12:14:58 +0000
On 3/18/09, Adrian Knoth <adi@drcomp.erfurt.thur.de> wrote:
> By the way: jackd's architecture list is "any", and I see packages for
>  armel in both, lenny and sid.
>
>  Am I missing the point or what do you want us to change?

It is built for any architecture but in its build dependencies for
libasound2-dev  libcap-dev  libraw1394-dev  libfreebob0-dev
it specified
[i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel powerpc
ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc]
which doesn't include armel, so the package on armel builds without
these facilities, thatnks to "configure".

These packages are available in armel, so either armel needs adding to
those four long lists or, if the intention is to exclude the freebsd-
and hurd- variants
Architecture: [linux-any]
will work (and is what is meant)

Cheers

    M




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Wed, 18 Mar 2009 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to adi@drcomp.erfurt.thur.de (Adrian Knoth):
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 18 Mar 2009 13:57:05 GMT) Full text and rfc822 format available.

Message #35 received at 460084@bugs.debian.org (full text, mbox):

From: adi@drcomp.erfurt.thur.de (Adrian Knoth)
To: Martin Guy <martinwguy@yahoo.it>
Cc: 460084@bugs.debian.org
Subject: Re: New info in #460084
Date: Wed, 18 Mar 2009 14:55:58 +0100
On Wed, Mar 18, 2009 at 12:14:58PM +0000, Martin Guy wrote:

> These packages are available in armel, so either armel needs adding to
> those four long lists or, if the intention is to exclude the freebsd-
> and hurd- variants
> Architecture: [linux-any]
> will work (and is what is meant)

I guess Architecture: [linux-any] would exclude the whole package from
kfreebsd, which isn't very useful.

That's why I've added armel to the long lists. Next release contains the
fix.

Cheerio

-- 
mail: adi@thur.de  	http://adi.thur.de	PGP/GPG: key via keyserver




Tags added: pending Request was from adi@drcomp.erfurt.thur.de (Adrian Knoth) to control@bugs.debian.org. (Wed, 18 Mar 2009 14:06:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#460084; Package jack-audio-connection-kit. (Wed, 18 Mar 2009 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Wed, 18 Mar 2009 14:18:04 GMT) Full text and rfc822 format available.

Message #42 received at 460084@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Adrian Knoth <adi@drcomp.erfurt.thur.de>, 460084@bugs.debian.org
Cc: Martin Guy <martinwguy@yahoo.it>
Subject: Re: Bug#460084: New info in #460084
Date: Wed, 18 Mar 2009 15:16:47 +0100
Adrian Knoth schrieb:
> I guess Architecture: [linux-any] would exclude the whole package from
> kfreebsd, which isn't very useful.

It would just not build-depend on the specific packages on kfreebsd. 
The package itself won't be excluded from kfreebsd, it's just that the 
kfreebsd package will provide some less features (due to the missing 
alsa and firewire libs).

> That's why I've added armel to the long lists. Next release contains the
> fix.

I think that's ugly. Please have a look at how we addressed this issue 
in the ffmpeg packages.

cheers,
Fabian


-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de




Reply sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
You have taken responsibility. (Tue, 21 Jul 2009 23:51:07 GMT) Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. (Tue, 21 Jul 2009 23:51:07 GMT) Full text and rfc822 format available.

Message #47 received at 460084-close@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 460084-close@bugs.debian.org
Subject: Bug#460084: fixed in jack-audio-connection-kit 0.116.2+svn3592-1
Date: Tue, 21 Jul 2009 23:17:05 +0000
Source: jack-audio-connection-kit
Source-Version: 0.116.2+svn3592-1

We believe that the bug you reported is fixed in the latest version of
jack-audio-connection-kit, which is due to be installed in the Debian FTP archive:

jack-audio-connection-kit_0.116.2+svn3592-1.diff.gz
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.2+svn3592-1.diff.gz
jack-audio-connection-kit_0.116.2+svn3592-1.dsc
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.2+svn3592-1.dsc
jack-audio-connection-kit_0.116.2+svn3592.orig.tar.gz
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.2+svn3592.orig.tar.gz
jackd_0.116.2+svn3592-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/jackd_0.116.2+svn3592-1_amd64.deb
libjack-dev_0.116.2+svn3592-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/libjack-dev_0.116.2+svn3592-1_amd64.deb
libjack0_0.116.2+svn3592-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/libjack0_0.116.2+svn3592-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460084@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Knoth <adi@drcomp.erfurt.thur.de> (supplier of updated jack-audio-connection-kit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Mar 2009 15:56:14 +0200
Source: jack-audio-connection-kit
Binary: jackd libjack0 libjack-dev
Architecture: source amd64
Version: 0.116.2+svn3592-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Description: 
 jackd      - JACK Audio Connection Kit (server and example clients)
 libjack-dev - JACK Audio Connection Kit (development files)
 libjack0   - JACK Audio Connection Kit (libraries)
Closes: 320736 386466 432208 460084 465073 507248 511239 519797 521771 527335 530380
Changes: 
 jack-audio-connection-kit (0.116.2+svn3592-1) unstable; urgency=low
 .
   [ Adrian Knoth ]
   * New upstream version 0.116.2+svn3592. Fixes:
       - segfault in jack_impulse_grabber (Closes: #432208)
       - jack_connect, jack_disconnect error case (Closes: #465073)
       - Fix build issues on Hurd (Closes: #320736)
   * Include updated upstream manpages (Closes: #386466, #521771)
   * Fix lintian warning about libjack-dev's doc-base
   * Include new alsa_in and alsa_out binaries
   * Prompt the user for realtime priority settings (Closes: #507248)
   * Include armel in dependency arch list (Closes: #460084)
   * Update upstream location in control files (Closes: #511239)
   * Enable FFADO firewire audio driver (Closes: #519797)
   * Remove notes about fetchmail in /etc/init.d/jackd (Closes: #530380)
   * Fix building jackd twice in a row (Closes: #527335)
   * Add myself to Uploaders
Checksums-Sha1: 
 40e61b51caaf9b354d2efec245c74a4a8ad24c08 2012 jack-audio-connection-kit_0.116.2+svn3592-1.dsc
 3f85631ca2bb124bdf7ba1fd6428b5e530276a21 395372 jack-audio-connection-kit_0.116.2+svn3592.orig.tar.gz
 ae70d4f0544face526277134c1cf68118ec02103 29118 jack-audio-connection-kit_0.116.2+svn3592-1.diff.gz
 6620d61e3556881b85e7f1b96c33502031403011 127220 jackd_0.116.2+svn3592-1_amd64.deb
 4ce474ce6a4e529ecc2aec433fcf6cc47a223d1f 209862 libjack0_0.116.2+svn3592-1_amd64.deb
 ff1b617769b683865b4d973cc60c631f9644d0e0 261692 libjack-dev_0.116.2+svn3592-1_amd64.deb
Checksums-Sha256: 
 9b3d5e303acb9c0508a453349769c0bad510f9c2c026035dccda870b22882018 2012 jack-audio-connection-kit_0.116.2+svn3592-1.dsc
 2eab3d46d89cabf6e1540e258d4b1a4a0e6e826e9b181ec923b52c350fdb2b72 395372 jack-audio-connection-kit_0.116.2+svn3592.orig.tar.gz
 dc40ba981aa5efcc1f5fd653a56cb21baa2521870f624f034dd74f4844d8c33d 29118 jack-audio-connection-kit_0.116.2+svn3592-1.diff.gz
 9fa187c658f32b8324efe8d331c44450eec4c52dad0e115add20dc816eabd809 127220 jackd_0.116.2+svn3592-1_amd64.deb
 abce86781b286f7e3d6421778a2f6b07c87d628528fc47b90678ecf0cce23532 209862 libjack0_0.116.2+svn3592-1_amd64.deb
 e909e6a3267e039bb451ec08f68959e8ee6854235cccace788ff0cfd6e4389db 261692 libjack-dev_0.116.2+svn3592-1_amd64.deb
Files: 
 bfe6983f344f698c7c04b7dbf67e33da 2012 sound optional jack-audio-connection-kit_0.116.2+svn3592-1.dsc
 33d8d517cd6301ee85f33bbca5e90a34 395372 sound optional jack-audio-connection-kit_0.116.2+svn3592.orig.tar.gz
 7827a25c9a6d34dc70d90291e48e1dd9 29118 sound optional jack-audio-connection-kit_0.116.2+svn3592-1.diff.gz
 8c7d6908a0308130fede584c9858d909 127220 sound optional jackd_0.116.2+svn3592-1_amd64.deb
 2281314de9e59ba71a9ad95876a6fd32 209862 libs optional libjack0_0.116.2+svn3592-1_amd64.deb
 da5915b4e828eebd242b37dca45d9416 261692 libdevel optional libjack-dev_0.116.2+svn3592-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpmSKUACgkQcanJGlcVnlkMFACeLxgWlEenkM19eSxs8gN01hOC
Hh4AoPQXtK/son1+0GxXh779DECFSw5h
=Reun
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Aug 2009 07:36:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:48:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.